# Class AtomCollection.AtomSorter

java.lang.Object
org.jmol.modelset.AtomCollection.AtomSorter

All Implemented Interfaces:
  `Comparator<Atom>`

Enclosing class:
  `AtomCollection`

protected class AtomCollection.AtomSorter extends Object implements Comparator<Atom>

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AtomSorter()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(Atom a1, Atom a2)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### AtomSorter

protected AtomSorter()

## Method Details

### compare

public int compare(Atom a1, Atom a2)

Specified by:
  `compare` in interface `Comparator<Atom>`